Functions
Update function
Update function configuration. Code changes are versioned automatically.
PUT
/api/functions/projects/{projectId}/functions/{functionId}SDK setup
Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.
import { Configuration, FunctionsApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
apiKey: 'sk_live_mudbase_doc_Xk9mP2qR7vN4wL8jH3tY6uE',
accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
// This endpoint accepts either credential — apiKey or accessToken alone is enough.
const functions = new FunctionsApi(configuration);import { Configuration, FunctionsApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
apiKey: 'sk_live_mudbase_doc_Xk9mP2qR7vN4wL8jH3tY6uE',
accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
// This endpoint accepts either credential — apiKey or accessToken alone is enough.
const functions = new FunctionsApi(configuration);Example request
Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.
const { data: result } = await functions.updateFunction(
"proj_A9vrCD4nesrV",
"CAxHxsR7McW32Nmy",
{
name: "Jeanne Ankunding",
description: "Experience the salmon brilliance of our Ball, perfect for gorgeous environments",
code: "sensor override",
trigger: "bandwidth reboot",
environment: "alarm copy",
isActive: true,
limits: "array connect",
retryPolicy: "panel synthesize",
versionComment: "Discover the gecko-like agility of our Bike, perfect for tight users"
}
);const { data: result } = await functions.updateFunction(
"proj_A9vrCD4nesrV",
"CAxHxsR7McW32Nmy",
{
name: "Jeanne Ankunding",
description: "Experience the salmon brilliance of our Ball, perfect for gorgeous environments",
code: "sensor override",
trigger: "bandwidth reboot",
environment: "alarm copy",
isActive: true,
limits: "array connect",
retryPolicy: "panel synthesize",
versionComment: "Discover the gecko-like agility of our Bike, perfect for tight users"
}
);Playground
liveTest this endpoint with your own credentials. Your requests will be sent to the live API.
Get your API key from the console
Use the auth endpoints to obtain a JWT.
No Request Yet
Send a request to see the full inspector
Authentication
Requires JWT Requires API Key JWT or API Key
Note
This endpoint accepts either JWT Bearer token or API Key. Use
Authorization: Bearer YOUR_TOKEN for user context, or X-API-Key: YOUR_KEY for server-to-server. View authentication guide →Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →Include your API key in the X-API-Key: YOUR_KEY header (server-to-server, SDKs). View authentication guide →Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
projectId | string | Yes | — |
functionId | string | Yes | — |
Request Body
json
{
"name": "Johnathan Torp I",
"description": "Introducing the French Polynesia-inspired Towels, blending amazing style with local craftsmanship",
"code": "interface synthesize",
"trigger": {
"type": "file",
"event": "monitor connect",
"schedule": "system quantify",
"path": "driver navigate",
"method": "GET",
"collectionId": "zPwbK8nwmu0GtkJ3",
"bucketId": "jr8VDj0iot8K8Qmz"
},
"environment": {},
"isActive": true,
"limits": {
"timeout": 18146,
"maxPayloadSize": 73372,
"maxExecutionsPerMinute": 1971,
"maxExecutionsPerHour": 72147
},
"retryPolicy": {
"enabled": false,
"maxRetries": 12411,
"backoffMs": 89811
},
"versionComment": "Introducing the United States Minor Outlying Islands-inspired Computer, blending stunning style with local craftsmanship"
}{
"name": "Johnathan Torp I",
"description": "Introducing the French Polynesia-inspired Towels, blending amazing style with local craftsmanship",
"code": "interface synthesize",
"trigger": {
"type": "file",
"event": "monitor connect",
"schedule": "system quantify",
"path": "driver navigate",
"method": "GET",
"collectionId": "zPwbK8nwmu0GtkJ3",
"bucketId": "jr8VDj0iot8K8Qmz"
},
"environment": {},
"isActive": true,
"limits": {
"timeout": 18146,
"maxPayloadSize": 73372,
"maxExecutionsPerMinute": 1971,
"maxExecutionsPerHour": 72147
},
"retryPolicy": {
"enabled": false,
"maxRetries": 12411,
"backoffMs": 89811
},
"versionComment": "Introducing the United States Minor Outlying Islands-inspired Computer, blending stunning style with local craftsmanship"
}Responses
200Function updated
json
{
"success": true,
"data": {
"_id": "U4CATqYMhJauZX5r",
"name": "Delilah Wehner",
"description": "Introducing the Cuba-inspired Chair, blending grown style with local craftsmanship",
"projectId": "proj_bDpJg8MziRQU",
"trigger": {
"type": "file",
"event": "interface transmit",
"schedule": "protocol transmit",
"path": "card parse",
"method": "GET",
"collectionId": "0Cc9p4iUNtFNLaB4",
"bucketId": "u8XSjcsxoiFgs8QF"
},
"stats": {
"totalExecutions": 82,
"successfulExecutions": 43143,
"failedExecutions": 88320,
"avgExecutionTime": 794.1,
"lastExecution": "2026-07-19T08:11:12.082Z"
},
"isActive": true,
"createdBy": "transmitter back up",
"createdAt": "2026-06-08T22:51:27.387Z",
"updatedAt": "2026-06-04T03:12:48.291Z"
}
}{
"success": true,
"data": {
"_id": "U4CATqYMhJauZX5r",
"name": "Delilah Wehner",
"description": "Introducing the Cuba-inspired Chair, blending grown style with local craftsmanship",
"projectId": "proj_bDpJg8MziRQU",
"trigger": {
"type": "file",
"event": "interface transmit",
"schedule": "protocol transmit",
"path": "card parse",
"method": "GET",
"collectionId": "0Cc9p4iUNtFNLaB4",
"bucketId": "u8XSjcsxoiFgs8QF"
},
"stats": {
"totalExecutions": 82,
"successfulExecutions": 43143,
"failedExecutions": 88320,
"avgExecutionTime": 794.1,
"lastExecution": "2026-07-19T08:11:12.082Z"
},
"isActive": true,
"createdBy": "transmitter back up",
"createdAt": "2026-06-08T22:51:27.387Z",
"updatedAt": "2026-06-04T03:12:48.291Z"
}
}404Function not found
Errors
| Code | Meaning |
|---|---|
404 | Function not found |